# Uses of Class
org.apache.avro.io.ValidatingEncoder

Packages that use ValidatingEncoder
Package
Description
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.

## Uses of ValidatingEncoder in org.apache.avro.io

Methods in org.apache.avro.io that return ValidatingEncoder
Modifier and Type
Method
Description
`ValidatingEncoder`
ValidatingEncoder.`configure(Encoder encoder)`
Reconfigures this ValidatingEncoder to wrap the encoder provided.
`ValidatingEncoder`
EncoderFactory.`validatingEncoder(Schema schema, Encoder encoder)`
Creates a `ValidatingEncoder` that wraps the Encoder provided.